Subject: bug#25062: 24.5; Frame title (with "%b" format) changes when going to minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Nov 2016 19:37:52 +0200

> From: Jonathan Marten <[email-masked]>
> Date: Tue, 29 Nov 2016 15:55:30 +0000
> 
> When using the "%b" substitution in frame-title-format (the default
> value includes this when there are multiple frames), the user would
> expect the name of the buffer that they are editing to be shown.  This
> happens, but when going to the minibuffer for any sort of prompt the
> title changes to the buffer name of the minibuffer - "*Minibuf-0*" or
> similar.  This may be what is happening internally, but it is an
> implementation detail which does not need to be revealed.  The user
> might wonder why the window title is changing just because they are
> being prompted for some information.

I actually use this feature all the time: it helps me to find the
frame which is waiting for some input.  So I don't think we should
change that.

Can't you achieve what you want by using some 'eval' form in
frame-title-format?

> Applying the following patch corrects this.  If the selected window is a 
> minibuffer window, it evaluates the format string in the buffer of the 
> minibuffer-selected-window instead of the buffer of the minibuffer.  With this 
> patch, the frame title stays the same as before when being prompted in the 
> minibuffer.

Sorry, I don't think it's right to change that for everyone.

Thanks.